sources:
  - type: swift
    name: !env '${UPLOAD_CONTAINER}'
    kwargs:
        username: !env '${OS_USERNAME}'
        password: !env '${OS_PASSWORD}'
        tenant_name: !env '${OS_TENANT_NAME}'
        tenant_id: !env '${OS_TENANT_ID}'
        region_name: !env '${OS_REGION_NAME}'
        auth_version: !env '${ST_AUTH_VERSION}'
        auth_url: !env '${OS_AUTH_URL}'
        auth_url_short: !env '${OS_AUTH_URL_SHORT}'
        user_domain_name: !env '${OS_USER_DOMAIN_NAME}'
        container: !env '${UPLOAD_CONTAINER}'

schemes:
  - type: gsc

backends:
  - type: eoxserver
    filter:
    kwargs:
      instance_base_path: !env '${INSTALL_DIR}'
      instance_name: !env '${INSTANCE_NAME}'
      mapping:
        PL00:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_PL00'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              PL00: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_PL00'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              PL00: RGBNir
            masks:
              validity: validity
        DM02:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_DM02'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              DM02: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_DM02'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              DM02: RGBNir
            masks:
              validity: validity
        KS03:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_KS03'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              KS03: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_KS03'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              KS03: RGBNir
            masks:
              validity: validity
        KS04:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_KS04'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              KS04: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_KS04'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              KS04: RGBNir
            masks:
              validity: validity
        PH1A:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_PH1A'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              PH1A: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_PH1A'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              PH1A: RGBNir
            masks:
              validity: validity
        PH1B:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_PH1B'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              PH1B: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_PH1B'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              PH1B: RGBNir
            masks:
              validity: validity
        SP06:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_SP06'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              SP06: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_SP06'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              SP06: RGBNir
            masks:
              validity: validity
        SP07:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_SP07'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              SP07: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_SP07'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              SP07: RGBNir
            masks:
              validity: validity
        SW00:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_SW00'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              SW00: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_SW00'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              SW00: RGBNir
            masks:
              validity: validity
        TR00:
          Level_1:
            product_type_name: !env '${COLLECTION}_Product_TR00'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_1'
            coverages:
              TR00: RGBNir
            masks:
              validity: validity
          Level_3:
            product_type_name: !env '${COLLECTION}_Product_TR00'
            collections:
              - !env '${COLLECTION}'
              - !env '${COLLECTION}_Level_3'
            coverages:
              TR00: RGBNir
            masks:
              validity: validity

post_handlers:
  - path: registrar.post_handlers.ReportingPostHandler
    kwargs:
      service_url: vhr18.pass.copernicus.eu
      reporting_dir: /mnt/reports/
